<?php
namespace Modules\Cad_blocos\Controllers;

use App\Controllers\BaseController;
use Modules\Cad_blocos\Models\model_cad_blocos;

class Cad_blocos extends BaseController {
	public function __construct() {
		$this->model_cad_blocos = new Model_cad_blocos;
	}

	public function index() {
		$dados['id']				= 1;
		$dados['cadastro'] 	= $this->model_cad_blocos->alterar();
		$dados['logs']			= $this->dataHelper->DH_getLogFile('cad_blocos', '');

		$this->dataHelper->DH_actionRecord(1);
		$this->_cms('Modules\Cad_blocos\Views\view_cad_blocos_cadastrar', $dados);
	}

	public function alterando() {
		$dados = $this->model_cad_blocos->alterar();
		
		if(isset($_FILES['bloco1_imagem']) and $_FILES['bloco1_imagem']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadImage('cad_blocos', $dados->bloco1_imagem, 'upload_cad_blocos', '', 'bloco1_imagem', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_blocos', $dados->id, $fileReturn['msg']);
		}

		if(isset($_FILES['bloco4_arquivo']) and $_FILES['bloco4_arquivo']['error'] == 0) {
			$fileReturn = $this->uploadHelper->UPH_uploadFile('cad_blocos', $dados->bloco4_arquivo, 'upload_cad_blocos', '', 'bloco4_arquivo', $dados->id);
			$this->dataHelper->DH_actionRecordUpload('cad_blocos', $dados->id, $fileReturn['msg']);
		}

		$this->model_cad_blocos->alterando();
		$this->dataHelper->DH_createLogFile($dados->id, $_POST, 'Alteração de cadastro', 'cad_blocos', '');

		$this->dataHelper->DH_actionRecord($dados->id);
		service('session')->set('msg', array('titulo' => 'Sucesso!', 'descricao' => 'Suas alterações foram salvas.', 'tipo' => 'success'));
		return redirect()->to(site_url(service('request')->uri->getSegment(1)));
	}
}